# Class CircuitBreakerManager

java.lang.Object
com.databricks.jdbc.telemetry.CircuitBreakerManager

public class CircuitBreakerManager extends Object
CircuitBreakerManager is a singleton that manages circuit breakers for different hosts. It initializes circuit breakers with a predefined configuration and provides methods to retrieve or reset them.

## Method Summary

Modifier and Type
Method
Description
`io.github.resilience4j.circuitbreaker.CircuitBreaker`
`getCircuitBreaker(String host)`
Retrieves the CircuitBreaker for the specified host.
`static CircuitBreakerManager`
`getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static CircuitBreakerManager getInstance()

### getCircuitBreaker

public io.github.resilience4j.circuitbreaker.CircuitBreaker getCircuitBreaker(String host)
Retrieves the CircuitBreaker for the specified host. If it does not exist, it creates a new one with the default configuration.

Parameters:
  `host` - The host for which to retrieve the CircuitBreaker.
Returns:
  The CircuitBreaker instance for the specified host.